package com.ruoyi.basicData.service.impl;

import com.ruoyi.basicData.domain.TCompany;
import com.ruoyi.basicData.mapper.TCompanyMapper;
import com.ruoyi.basicData.service.ITCompanyService;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 公司名称Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-11
 */
@Service
public class TCompanyServiceImpl implements ITCompanyService {
    @Autowired
    private TCompanyMapper tCompanyMapper;

    /**
     * 查询公司名称
     *
     * @param fId 公司名称ID
     * @return 公司名称
     */
    @Override
    public TCompany selectTCompanyById(Long fId) {
        return tCompanyMapper.selectTCompanyById(fId);
    }

    /**
     * 查询公司名称列表
     *
     * @param tCompany 公司名称
     * @return 公司名称
     */
    @Override
    public List<TCompany> selectTCompanyList(TCompany tCompany) {
        return tCompanyMapper.selectTCompanyList(tCompany);
    }

    /**
     * 新增公司名称
     *
     * @param tCompany 公司名称
     * @return 结果
     */
    @Override
    public int insertTCompany(TCompany tCompany) {
        tCompany.setCreateTime(DateUtils.getNowDate());
        return tCompanyMapper.insertTCompany(tCompany);
    }

    /**
     * 修改公司名称
     *
     * @param tCompany 公司名称
     * @return 结果
     */
    @Override
    public int updateTCompany(TCompany tCompany) {
        tCompany.setUpdateTime(DateUtils.getNowDate());
        return tCompanyMapper.updateTCompany(tCompany);
    }

    /**
     * 批量删除公司名称
     *
     * @param fIds 需要删除的公司名称ID
     * @return 结果
     */
    @Override
    public int deleteTCompanyByIds(Long[] fIds) {
        return tCompanyMapper.deleteTCompanyByIds(fIds);
    }

    /**
     * 删除公司名称信息
     *
     * @param fId 公司名称ID
     * @return 结果
     */
    @Override
    public int deleteTCompanyById(Long fId) {
        return tCompanyMapper.deleteTCompanyById(fId);
    }
}
